Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AnimMgrBase Class Reference
Inheritance diagram for AnimMgrBase:

## Public Member Functions
| __init__ (self, editor)
| calculateT (self, a, b, c, d, x)
| colorUpdate (self, r, g, b, a, np)
| createActorAnimation (self, parallel, startFrame, endFrame)
| createCurveAnimation (self, parallel)
| createCurveKeyFrameAnimation (self, parallel, startFrame, endFrame)
| createKeyFrameAnimation (self, parallel, startFrame, endFrame)
| createParallel (self, startFrame, endFrame)
| generateKeyFrames (self)
| generateSlope (self, list)
| getPos (self, x, list, i)
| lerpCurveFuncX (self, t, extraArgs)
| lerpCurveFuncY (self, t, extraArgs)
| lerpCurveFuncZ (self, t, extraArgs)
| lerpFuncCA (self, A, np)
| lerpFuncCB (self, B, np)
| lerpFuncCG (self, G, np)
| lerpFuncCR (self, R, np)
| lerpFuncH (self, angle, np)
| lerpFuncP (self, angle, np)
| lerpFuncR (self, angle, np)
| lerpFuncSX (self, scale, np)
| lerpFuncSY (self, scale, np)
| lerpFuncSZ (self, scale, np)
| lerpFuncX (self, pos, np)
| lerpFuncY (self, pos, np)
| lerpFuncZ (self, pos, np)
| removeAnimInfo (self, uid)
| reset (self)
| singleCurveAnimation (self, nodePath, curve, time)

## Public Attributes
dict | curveAnimation = {}
dict | curveLerpFuncs
| curveSequence = Sequence(name = curveSequenceName)
| editor = editor
int | graphEditorCounter = 0
list | hprs = []
dict | keyFrameInfoForSingleLerp = keyFramesInfo
list | keyFrames = []
dict | keyFramesInfo = {}
| keyInfoForSingleLerp = key
dict | lerpFuncs
list | parallel = []
| points = rope.getPoints(time)
| self.hprs.append(hpr)

## Detailed Description

     AnimMgr will create, manage, update animations in the scene

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | editor )

## Member Function Documentation

## ◆ calculateT()

calculateT | ( |  | self,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x )

## ◆ colorUpdate()

colorUpdate | ( |  | self,
|  |  | r,
|  |  | g,
|  |  | b,
|  |  | a,
|  |  | np )

## ◆ createActorAnimation()

createActorAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame )

## ◆ createCurveAnimation()

createCurveAnimation | ( |  | self,
|  |  | parallel )

## ◆ createCurveKeyFrameAnimation()

createCurveKeyFrameAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame )

## ◆ createKeyFrameAnimation()

createKeyFrameAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame )

## ◆ createParallel()

createParallel | ( |  | self,
|  |  | startFrame,
|  |  | endFrame )

## ◆ generateKeyFrames()

generateKeyFrames | ( |  | self | ) |

## ◆ generateSlope()

generateSlope | ( |  | self,
|  |  | list )

## ◆ getPos()

getPos | ( |  | self,
|  |  | x,
|  |  | list,
|  |  | i )

## ◆ lerpCurveFuncX()

lerpCurveFuncX | ( |  | self,
|  |  | t,
|  |  | extraArgs )

## ◆ lerpCurveFuncY()

lerpCurveFuncY | ( |  | self,
|  |  | t,
|  |  | extraArgs )

## ◆ lerpCurveFuncZ()

lerpCurveFuncZ | ( |  | self,
|  |  | t,
|  |  | extraArgs )

## ◆ lerpFuncCA()

lerpFuncCA | ( |  | self,
|  |  | A,
|  |  | np )

## ◆ lerpFuncCB()

lerpFuncCB | ( |  | self,
|  |  | B,
|  |  | np )

## ◆ lerpFuncCG()

lerpFuncCG | ( |  | self,
|  |  | G,
|  |  | np )

## ◆ lerpFuncCR()

lerpFuncCR | ( |  | self,
|  |  | R,
|  |  | np )

## ◆ lerpFuncH()

lerpFuncH | ( |  | self,
|  |  | angle,
|  |  | np )

## ◆ lerpFuncP()

lerpFuncP | ( |  | self,
|  |  | angle,
|  |  | np )

## ◆ lerpFuncR()

lerpFuncR | ( |  | self,
|  |  | angle,
|  |  | np )

## ◆ lerpFuncSX()

lerpFuncSX | ( |  | self,
|  |  | scale,
|  |  | np )

## ◆ lerpFuncSY()

lerpFuncSY | ( |  | self,
|  |  | scale,
|  |  | np )

## ◆ lerpFuncSZ()

lerpFuncSZ | ( |  | self,
|  |  | scale,
|  |  | np )

## ◆ lerpFuncX()

lerpFuncX | ( |  | self,
|  |  | pos,
|  |  | np )

## ◆ lerpFuncY()

lerpFuncY | ( |  | self,
|  |  | pos,
|  |  | np )

## ◆ lerpFuncZ()

lerpFuncZ | ( |  | self,
|  |  | pos,
|  |  | np )

## ◆ removeAnimInfo()

removeAnimInfo | ( |  | self,
|  |  | uid )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ singleCurveAnimation()

singleCurveAnimation | ( |  | self,
|  |  | nodePath,
|  |  | curve,
|  |  | time )

## Member Data Documentation

## ◆ curveAnimation

dict curveAnimation = {}

## ◆ curveLerpFuncs

dict curveLerpFuncs

Initial value:
= {
'X' : [ self.lerpFuncX, self.lerpCurveFuncX ],
'Y' : [ self.lerpFuncY, self.lerpCurveFuncY ],
'Z' : [ self.lerpFuncZ, self.lerpCurveFuncZ ]
}

## ◆ curveSequence

curveSequence = Sequence(name = curveSequenceName)

## ◆ editor

editor = editor

## ◆ graphEditorCounter

int graphEditorCounter = 0

## ◆ hprs

list hprs = []

## ◆ keyFrameInfoForSingleLerp

dict keyFrameInfoForSingleLerp = keyFramesInfo

## ◆ keyFrames

list keyFrames = []

## ◆ keyFramesInfo

dict keyFramesInfo = {}

## ◆ keyInfoForSingleLerp

keyInfoForSingleLerp = key

## ◆ lerpFuncs

dict lerpFuncs

Initial value:
= {
'H' : self.lerpFuncH,
'P' : self.lerpFuncP,
'R' : self.lerpFuncR,
'SX' : self.lerpFuncSX,
'SY' : self.lerpFuncSY,
'SZ' : self.lerpFuncSZ,
'CR' : self.lerpFuncCR,
'CG' : self.lerpFuncCG,
'CB' : self.lerpFuncCB,
'CA' : self.lerpFuncCA
}

## ◆ parallel

parallel = []

## ◆ points

points = rope.getPoints(time)

self.hprs.append(hpr)